Loading...
Searching...
No Matches
BALL::ConformationSet Class Reference
Molecular Modeling » Molecular Structure » Docking of molecular structures

`#include <BALL/DOCKING/COMMON/conformationSet.h>`

## Public Types

typedef std::pair< Index, float > | Conformation

## Public Member Functions

| ConformationSet ()
| ConformationSet (const ConformationSet &cs)
| ConformationSet (const System &system)
virtual | ~ConformationSet ()
void | setup (const System &system)
void | add (const float score, const System &conformation)
const System & | getSystem () const
System & | getSystem ()
void | setScoring (std::vector< Conformation > &score)
const std::vector< Conformation > & | getScoring () const
void | resetScoring ()
const std::vector< SnapShot > & | getUnscoredConformations () const
const SnapShot & | operator[] (const Index pos) const
bool | writeDCDFile (const String &filename, const Size num=0)
bool | readDCDFile (const String &filename)
Size | size () const
void | setParent (ConformationSet *new_parent)
ConformationSet * | getParent ()
const ConformationSet * | getParent () const

## Protected Attributes

std::vector< Conformation > | snapshot_order_
System | system_
vector< SnapShot > | structures_
ConformationSet * | parent_

## Detailed Description

Data structure for conformation results.

Definition at line 32 of file conformationSet.h.

## Member Typedef Documentation

## Conformation

typedef std::pair< Index, float > BALL::ConformationSet::Conformation

The conformations are scored as indices into the vector of snapshots with a score

Definition at line 39 of file conformationSet.h.

## Constructor & Destructor Documentation

## ConformationSet() [1/3]

BALL::ConformationSet::ConformationSet | ( |  | ) |

inline

Definition at line 41 of file conformationSet.h.

## ConformationSet() [2/3]

BALL::ConformationSet::ConformationSet | ( | const ConformationSet & | cs | ) |

## ConformationSet() [3/3]

BALL::ConformationSet::ConformationSet | ( | const System & | system | ) |

## ~ConformationSet()

virtual BALL::ConformationSet::~ConformationSet | ( |  | ) |

inline virtual

Definition at line 47 of file conformationSet.h.

## Member Function Documentation

## add()

void BALL::ConformationSet::add | ( | const float | score,
|  | const System & | conformation )

## getParent() [1/2]

ConformationSet * BALL::ConformationSet::getParent | ( |  | ) |

inline

Definition at line 95 of file conformationSet.h.

## getParent() [2/2]

const ConformationSet * BALL::ConformationSet::getParent | ( |  | ) | const

inline

Definition at line 97 of file conformationSet.h.

## getScoring()

const std::vector< Conformation > & BALL::ConformationSet::getScoring | ( |  | ) | const

Return the current scoring.

## getSystem() [1/2]

System & BALL::ConformationSet::getSystem | ( |  | ) |

## getSystem() [2/2]

const System & BALL::ConformationSet::getSystem | ( |  | ) | const

## getUnscoredConformations()

const std::vector< SnapShot > & BALL::ConformationSet::getUnscoredConformations | ( |  | ) | const

Returns the unranked list of conformations, i.e. the conformations in the order in which they were added.

## operator[]()

const SnapShot & BALL::ConformationSet::operator[] | ( | const Index | pos | ) | const

Returns the i-th snapshot using the current scoring information. TODO: Exception handling

## readDCDFile()

bool BALL::ConformationSet::readDCDFile | ( | const String & | filename | ) |

## resetScoring()

void BALL::ConformationSet::resetScoring | ( |  | ) |

Reset the scoring vector to the identity permutation with identical scores of 0.

## setParent()

void BALL::ConformationSet::setParent | ( | ConformationSet * | new_parent | ) |

inline

Definition at line 93 of file conformationSet.h.

## setScoring()

void BALL::ConformationSet::setScoring | ( | std::vector< Conformation > & | score | ) |

Use score as the new scoring information.

## setup()

void BALL::ConformationSet::setup | ( | const System & | system | ) |

Operations

## size()

Size BALL::ConformationSet::size | ( |  | ) | const

Return the number of conformations.

## writeDCDFile()

bool BALL::ConformationSet::writeDCDFile | ( | const String & | filename,
|  | const Size | num = 0 )

Export the first num results in the order of the current scoring as dcd file with name filename. If num == 0, all results are exported.

## Member Data Documentation

## parent_

ConformationSet* BALL::ConformationSet::parent_

protected

the original ConformationSet on which this set is based

Definition at line 118 of file conformationSet.h.

## snapshot_order_

std::vector< Conformation > BALL::ConformationSet::snapshot_order_

protected

Attributes

Definition at line 106 of file conformationSet.h.

## structures_

vector<SnapShot> BALL::ConformationSet::structures_

protected

The SnapShots

Definition at line 114 of file conformationSet.h.

## system_

System BALL::ConformationSet::system_

protected

The original system on which the SnapShots are based

Definition at line 110 of file conformationSet.h.